Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.common.ant
Class IDLCompiler

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.arjuna.orbportability.common.ant.IDLCompiler

public class IDLCompiler
extends org.apache.tools.ant.Task

Ant task to compile IDL across multiple ORB's. This task uses a definitions file (idl-compiler-definitions.xml) which defines how to call each of the supported IDL compilers. For each compiler you specify a number of parameters and whether they are required for this IDL compiler. You then call this ant task and pass it a comma separated list of parameters which it then maps to the IDL compiler specific parameters.

Author:
  Richard A. Begg

Nested Class Summary
`class` | `IDLCompiler.BuildListParser`
`class` | `IDLCompiler.IDLCompilerDetails`
`class` | `IDLCompiler.InputStreamFileWriter`

Field Summary
`protected java.lang.String` | `_buildList`
`protected boolean` | `_debugOn`
`protected java.lang.String` | `_destinationDirectory`
`protected java.lang.String` | `_filename`
`protected org.apache.tools.ant.types.FileSet` | `_fileSet`
`protected java.util.Hashtable` | `_idlCompilerDefinitions`
`protected java.lang.String` | `_orb`
`protected java.lang.String` | `_packageName`
`protected java.lang.String` | `_parameters`
`protected boolean` | `_verbose`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IDLCompiler()`

Method Summary
`protected boolean` | `childrenContainsSubParam(org.w3c.dom.Node n)`
`void` | `execute()`
`protected void` | `parseIDLCompilerDefinitionsFile()` Parse the IDL compiler definitions file.
`boolean` | `processIDL(IDLCompiler.IDLCompilerDetails idlCompiler, java.lang.String filename, java.lang.String packageName, java.lang.String destDir)`
`boolean` | `processIDL(IDLCompiler.IDLCompilerDetails idlCompiler, java.lang.String filename, java.lang.String packageName, java.lang.String destDir, java.lang.String mappings)`
`void` | `setBuildlist(java.lang.String buildList)`
`void` | `setDebug(java.lang.String debug)`
`void` | `setDestdir(java.lang.String destDir)`
`void` | `setFilename(java.lang.String filename)`
`void` | `setOrb(java.lang.String orb)`
`void` | `setPackage(java.lang.String packageName)`
`void` | `setParameters(java.lang.String parameters)`
`void` | `setVerbose(java.lang.String verbose)`
`protected java.lang.String` | `stripDirectory(java.lang.String filename)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _parameters

    protected java.lang.String _parameters

### _orb

    protected java.lang.String _orb

### _idlCompilerDefinitions

    protected java.util.Hashtable _idlCompilerDefinitions

### _filename

    protected java.lang.String _filename

### _destinationDirectory

    protected java.lang.String _destinationDirectory

### _packageName

    protected java.lang.String _packageName

### _buildList

    protected java.lang.String _buildList

### _debugOn

    protected boolean _debugOn

### _verbose

    protected boolean _verbose

### _fileSet

    protected org.apache.tools.ant.types.FileSet _fileSet

Constructor Detail

### IDLCompiler

    public IDLCompiler()

Method Detail

### setDebug

    public final void setDebug(java.lang.String debug)

### setVerbose

    public final void setVerbose(java.lang.String verbose)

### setDestdir

    public final void setDestdir(java.lang.String destDir)

### setBuildlist

    public void setBuildlist(java.lang.String buildList)

### setPackage

    public final void setPackage(java.lang.String packageName)

### setParameters

    public final void setParameters(java.lang.String parameters)

### setFilename

    public final void setFilename(java.lang.String filename)

### setOrb

    public final void setOrb(java.lang.String orb)

### childrenContainsSubParam

    protected boolean childrenContainsSubParam(org.w3c.dom.Node n)

### parseIDLCompilerDefinitionsFile

    protected void parseIDLCompilerDefinitionsFile()
                                            throws org.apache.tools.ant.BuildException

  Parse the IDL compiler definitions file.

  Throws:
    `org.apache.tools.ant.BuildException`

### stripDirectory

    protected java.lang.String stripDirectory(java.lang.String filename)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### processIDL

    public boolean processIDL(IDLCompiler.IDLCompilerDetails idlCompiler,
                              java.lang.String filename,
                              java.lang.String packageName,
                              java.lang.String destDir)

### processIDL

    public boolean processIDL(IDLCompiler.IDLCompilerDetails idlCompiler,
                              java.lang.String filename,
                              java.lang.String packageName,
                              java.lang.String destDir,
                              java.lang.String mappings)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD